/*Tartalom védelem kod*/

body * {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

input,
textarea {
  -webkit-user-select: text;
  -moz-user-select: text;
  user-select: text;
}

[data-allow-copy="1"],
[data-allow-copy="1"] * {
  -webkit-user-select: text !important;
  -moz-user-select: text !important;
  user-select: text !important;
}

[data-force-block="1"],
[data-force-block="1"] * {
  -webkit-user-select: none !important;
  -moz-user-select: none !important;
  user-select: none !important;
}

img {
  -webkit-user-drag: none;
  user-drag: none;
}

/*Taratalom védelem kod vége*/

/*termekkereso legordulo, hatterszin*/

#results.search-results {
    max-height: 520px;
    overflow-y: auto;
    overflow-x: hidden;
}

#results #searchsuggestion-list li.dropdown-item:nth-child(odd) {
    background: #ffffff;
}

#results #searchsuggestion-list li.dropdown-item:nth-child(even) {
    background: #f7f7f7;
}

#results #searchsuggestion-list li.dropdown-item {
    padding: 8px 10px;
    border-radius: 0;
}

#results #searchsuggestion-list li.dropdown-item:hover {
    background: #ececec;
}

#results #searchsuggestion-list {
    margin-bottom: 0;
}

/* VEGE termekkereso legordulo, hatterszin*/

.product-collateral-list-options {
    display: flex;
    flex-direction: column;
	align-items: flex-end;
}

@media (min-width: 1200px) {
    .product-page-top-grid__element-4 {
        grid-column: span 2 / span 2;
        grid-row: auto;
        grid-row-start: 3;
}
}	
	/*Menuben a kategoriak szovegmerete kissebb lett. */
@media (min-width: 992px) {
    .subcategory-grid {
        grid-template-columns: repeat(auto-fill, minmax(225px, 1fr));
        gap: 15px 25px;
        font-size: 19px;
}


/*2 blobk lenne a rovid leiras igy egy block lett */
.product-parameter {   
    align-items: center;
    padding: 2px 0;
}

.product-parameter__short-description {
    line-height: 1.6;
    display: block;
}

.product-parameter__link, .product-parameter__wishlist a {
    color: #005b77;
    text-decoration: underline;
    text-underline-offset: 3px;
}

}

/*Mobilnézetben látszik a cikkszám is*/
@media (max-width: 575.98px) {
    .mobile-simple-view .product-card__body .product-card__item:not(.product-card__essential) {
        display: block;
    }
}


/*Terméknév mérete a termék oldalon kicsinyitve az eredetiről*/

@media (min-width: 1200px) {
    .h1, h1 {
        font-size: 2.5rem;
        margin-bottom: 0;
    }
}

/*termékoldalon a cikkszám, egységár,gyártó felirat mérete és kiemelése*/
.product-parameter:not(.product-parameter__wide) .product-parameter__value {
    width: 55%;
	font-size: 120%;
    font-weight: bold;

}
/*Főoldalon a népszerű termékek menű beállítása*/
@media (min-width: 992px) {
    .categoryoffer-grid {
	-categoryoffer-gutter: calc(var(--gutter) * 0.75) calc(var(--gutter) * 1.25);
        grid-template-columns: repeat(5, 1fr);
        gap: 19px;
    }
}

/* Népszerű kategóriák, főoldal, kép méret min/max none */

@media (min-width: 992px) {
  .categoryoffer-grid img{
    max-width: none;
    max-height: none;
    width: 100%;
    height: 200px;
    object-fit: contain;
  }
}

@media (min-width: 992px) {

  .categoryoffer-grid > *{
    display: flex;
    align-items: center;
    gap: 19px;            /* tér kép és szöveg között */
  }

  .categoryoffer-grid .image{
    flex: 0 0 160px;      /* fix kép szélesség */
    height: 160px;
  }

  .categoryoffer-grid .image img{
    width: 100%;
    height: 100%;
    object-fit: contain;
  }

  .categoryoffer-grid .categoryoffer-name,
  .categoryoffer-grid .text{
    flex: 1;
    text-align: left;
	}

	/*Kiegészítő termékkép méret növelés a termék oldalon*/
	.product-collateral__image {
    border-radius: var(--corner_5);
    max-width: 120%;
}
	/*Kiegészítő termékek nevének méret növelése a termék oldalon*/
	.product-collateral-list__item-name {
    display: flex;
    flex-grow: 1;
    font-size: 0.80rem;
    color: var(--bs-body-color);
    align-items: center;
}
	/*Kiegészítő termékek kép és név közti távolsága a termék oldalon*/
	.product-collateral-list__item-datas {
    display: flex;
    gap: 15px;
}
	
html, body {
  -webkit-text-size-adjust: 100% !important;
  text-size-adjust: 100% !important;
}

html, body {
  -webkit-text-size-adjust: 100% !important;
  text-size-adjust: 100% !important;
}

	/*Termék oldalon Leírás és paraméter betüméret megváltoztatása 17px re*/
}
html body div.category-description.section__spacer.underlined-links span[style*="font-size"],
html body span.product-desc.underlined-links[itemprop="description"] span[style*="font-size"],
html body span.product-desc.underlined-links[itemprop="description"] p span[style*="font-size"],
html body [itemprop="description"] span[style*="font-size"]
{
  font-size: 17px !important;
  line-height: 1.5 !important;
}

/*Termék oldalon az ár és a kiegészítő termékek block keret csökkentése*/

@media (min-width: 1200px) {
    .product-page-right {
        padding: 20px 20px;
    }
}